Page MenuHomePhabricator

renocaptcha-info used in ReCaptchaNoCaptcha.php but not defined
Closed, ResolvedPublic

Description

ReCaptchaNoCaptcha.php has

	/**
	 * @param array $captchaData
	 * @param string $id
	 * @return Message
	 */
	public function getCaptchaInfo( $captchaData, $id ) {
		return wfMessage( 'renocaptcha-info' );
	}

But 'renocaptcha-info' isn't in en.json

Event Timeline

Reedy created this task.Apr 14 2020, 10:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2020, 10:35 PM
Reedy added a comment.Apr 15 2020, 1:17 PM

I think we can just remove that function entirely as it doesn't seem it's used in the current code setup

Florian claimed this task.Apr 17 2020, 3:29 PM

Change 589624 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions/ConfirmEdit@master] Remove unused and not working code fragment

https://gerrit.wikimedia.org/r/589624

Change 589624 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Remove unused and not working code fragment

https://gerrit.wikimedia.org/r/589624

Florian closed this task as Resolved.Apr 17 2020, 4:00 PM